# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]

## [0.7.7] - 2023-12-05

### Changed

- Bump vite to 5.0.5 [`9e2eea`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/-/commit/9e2eea46b5adc0c051d95d97be7f9c4dfc306e20) 


## [0.7.6] - 2023-10-11

### Changed

- Prepared for switch to yarn 3 and renovate [`1c119ef`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/1c119efc02abb2702dce35ef2439a75796a669c7)

### Fixed

- Fix type error [`c6d1138`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/c6d1138b2c8b689a77f6b65d0df52a7033c49a26)


## [0.7.5] - 2023-07-24

### Changed

- Increase proxyTimeout for slow mw requests [`cd69e58`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/cd69e583560ebb07ad983d8157a439bba746d139)

## [0.7.4] - 2023-07-10

### Added

- Build project in prepack hook [`76a424f`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/76a424fd1f06aa8989758f72fd5bfb93bf340cdd)


## [0.7.3] - 2023-07-04

### Added

- nothing, we just need to bump the version, once.

## [0.7.2] - 2023-07-04

### Fixed

- Consolidate base path for different frontend configurations [`fe5db54`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/fe5db542fed2e49172d857c4d609bbb765fbeb40)
- Logging output for http proxy [`1d28869`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/1d28869f5725990277aa93bf8c63930e5466e07c)
- Missing type export for log level [`6cb1bcd`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/6cb1bcdd1997385360da9a4f5126c70288c986ef)

## [0.7.1] - 2023-06-26

### Changed

- Update dependencies [`119ac94`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/119ac94e8070ccd48b0e4625194c77ab6c085efc)
  - Resolutions for:
    - semver vulnerable to Regular Expression Denial of Service
    - Prototype Pollution in JSON5 via Parse Method
    - debug Inefficient Regular Expression Complexity vulnerability


## [0.7.0] - 2023-06-21

### Changed

- Convert source code to TypeScript [`336454b`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/336454b07553b0c023b99decf3b54d0c6085d5be)


## [0.6.3] - 2023-03-17

### Added

- Tests added to .npmignore [`4c01730`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/4c0173088feab06ea3410573381d844f50794138)

### Fixed

- Fix linting issues [`489bdfb`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/489bdfb5f4ec3f6c18f5609c981d93a577d57118)


## [0.6.2] - 2023-02-02

- Start of using release tool

## 0.4.2

* Fix: http-proxy is also started in build mode
* Fix: No info is printed about the http proxy

## 0.4.1

* Fix: Sometimes, the dev-server is not detected
* Fix: Secure flag is not correctly set for own dev-server

## 0.4.0

* **breaking** Introduce `frontends` configuration. This will deprecate `frontendURIs`.
* **breaking** `secure`-flag is not supported globally anymore. You have to set it per path.
* Introduce `httpProxy` option to develop against IDP deployments.

## 0.3.1

* Introduce changeOrigin option for websockets as well
* Improve http2 support (also introduced specific http2 tests)
* Fix: changeOrigin was not considered for http2-requests

## 0.3.0

* **breaking** Introduce `changeOrigin` option. This is a breaking change as origins were always changed before.
* Add logging for /manifest endpoint

## 0.2.1

* Fix: Websockets errors are not handled
* Fix: Secure flag is not considered for websockets

## 0.2.0

* Support for --host config
* Regex support for proxies
* Add support for compressed requests
* Improve error handling
* Introduce `rewrite` option
* Introduce `prependPath` option

## 0.1.0

First release with simple frontends and middleware proxy

[unreleased]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.7...main
[0.7.7]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.6...0.7.7
[0.7.6]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.5...0.7.6
[0.7.5]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.4...0.7.5
[0.7.4]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.3...0.7.4
[0.7.3]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.2...0.7.3
[0.7.2]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.1...0.7.2
[0.7.1]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.0...0.7.1
[0.7.0]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.6.3...0.7.0
[0.6.3]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.6.2...0.6.3
