import type net from 'node:net';
import type http from 'node:http';
import proxy from 'http2-proxy';
export interface BaseProxyOptions {
    url: URL;
    secure: boolean;
    headers?: http.OutgoingHttpHeaders;
}
export interface WebProxyOptions extends BaseProxyOptions {
    path?: string;
    onReq?: proxy.http2WebOptions['onReq'];
    onRes?: proxy.http2WebOptions['onRes'];
}
export interface WsProxyOptions extends BaseProxyOptions {
    path: string;
}
export declare function interceptData(req: http.IncomingMessage, res: http.ServerResponse, options: BaseProxyOptions): Promise<unknown>;
export declare function all(req: http.IncomingMessage, res: http.ServerResponse, configs: BaseProxyOptions[]): Promise<unknown[] | undefined>;
export declare function web(req: http.IncomingMessage, res: http.ServerResponse, options: WebProxyOptions): Promise<void>;
export declare function ws(req: http.IncomingMessage, socket: net.Socket, head: Buffer, options: WsProxyOptions): Promise<void>;
