import type { Plugin } from 'vite';
import type { LevelWithSilent } from 'pino';
export type VitePluginProxy_LogLevel = LevelWithSilent;
export interface VitePluginProxy_ProxyOptions {
    target: string;
    rewrite?: (path: string) => string;
    prependPath?: string;
    changeOrigin?: boolean;
    secure?: boolean;
    ws?: boolean;
}
export interface VitePluginProxy_FrontendOptions {
    target: string;
    path?: string;
    secure?: boolean;
}
export interface VitePluginProxy_HTTPProxyOptions {
    target: string;
    port?: number;
}
export interface VitePluginProxyOptions {
    proxy?: Record<string, VitePluginProxy_ProxyOptions>;
    frontends?: VitePluginProxy_FrontendOptions[];
    httpProxy?: VitePluginProxy_HTTPProxyOptions;
    logLevel?: VitePluginProxy_LogLevel;
}
export default function pluginProxy(options?: VitePluginProxyOptions): Plugin;
